from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.i18n import XExtendedCalendar

@runtime_checkable
class XCalendar3(XExtendedCalendar, Protocol):
    def getLoadedCalendar2(self) -> Calendar2: ...
    def getDays2(self) -> list[CalendarItem2]: ...
    def getMonths2(self) -> list[CalendarItem2]: ...
    def getGenitiveMonths2(self) -> list[CalendarItem2]: ...
    def getPartitiveMonths2(self) -> list[CalendarItem2]: ...
